=== man/Makefile ===
TOPDIR = ..
include $(TOPDIR)/Makeinit

MAN1 = ncopy nwbols nwfsinfo nwsfind pqlist nprint nwboprops nwfstime \
	nwtrustee pserver nsend nwbpset nwpasswd nwuserlist slist \
	nwauth nwbpvalues nwrights nwvolinfo pqrm pqstat nwpurge
MAN5 = nwclient
MAN8 = ncpmount nwbpadd nwmsg ncpumount nwbpcreate nwrevoke nwbocreate \
	nwbprm nwborm nwgrant

all:

dep:

install:
	for i in $(MAN1); do install $$i.1 -m 644 $(MANDIR)/man1; done
	for i in $(MAN5); do install $$i.5 -m 644 $(MANDIR)/man5; done
	for i in $(MAN8); do install $$i.8 -m 644 $(MANDIR)/man8; done

clean:
	rm -f *~

mrproper: clean
