=== util/Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

TOPDIR = ..
include $(TOPDIR)/Makeinit

O_USERUTILS = slist.o pqlist.o nwfsinfo.o pserver.o nprint.o nsend.o \
	ncopy.o nwpasswd.o nwbols.o nwbocreate.o nwborm.o nwboprops.o \
	pqstat.o pqrm.o nwbpcreate.o nwbprm.o nwbpvalues.o nwbpadd.o \
	nwbpset.o nwgrant.o nwrevoke.o nwuserlist.o nwrights.o nwauth.o \
	nwfstime.o nwvolinfo.o nwtrustee.o nwpurge.o nwdir.o
ifdef MOUNT2
O_SBINUTILS = nwmsg.o
endif

USERUTILS = $(O_USERUTILS:%.o=%)
SBINUTILS = $(O_SBINUTILS:%.o=%)

UTILS = $(USERUTILS) $(SBINUTILS) ncptest

ifeq ($(HAVE_ELF),yes)
NCP_LIB = libncp.so
NCPLIB_DIR = ../lib-shared
LIBDEP = $(NCPLIB_DIR)/$(NCP_LIB)
else
NCP_LIB = libncp.a
NCPLIB_DIR = ../lib-static
LIBDEP = $(NCPLIB_DIR)/$(NCP_LIB)
endif

default:
	make -C ..

all: $(UTILS) ncptest # ipx_probe

install: all
	for i in $(USERUTILS); \
	do install $$i -m 755 $(BINDIR); done
	for i in $(SBINUTILS); \
	do install $$i -m 755 $(SBINDIR); done

../lib-static/libncp.a:
	make -C ../lib-static libncp.a

../lib-shared/libncp.so:
	make -C ../lib-shared libncp.so

$(O_USERUTILS) $(O_SBINUTILS) ncptest.o: %.o: %.c
	$(CC) $(CFLAGS) $(CCFLAGS) -o $@ -c $<

$(UTILS): %: %.o $(LIBDEP)
	$(CC) $(CFLAGS) -o $@ $(addsuffix .o,$@) -L$(NCPLIB_DIR) -lncp 

ipx_probe: ipx_probe.c
	$(CC) $(CFLAGS) $(CCFLAGS) -o ipx_probe ipx_probe.c

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f *.o *~ $(UTILS) ipx_probe

mrproper: clean
	rm -f .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
