## ncpfs 2.2.0.9

=== ipx-1.0/Makefile ===
TOPDIR = ..
include $(TOPDIR)/Makeinit
# CFLAGS = -O2 -Wall -I../include
UTILS = ipx_configure ipx_interface ipx_internal_net ipx_route
MAN8 := $(UTILS)
CFLAGS := $(CCFLAGS)

all: $(UTILS)

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f $(UTILS) *.o rip sap ipxrcv ipxsend

mrproper: clean
	rm -f .depend

install: $(UTILS)
	for i in $(UTILS); \
	do \
		install $$i $(BINDIR); \
	done
	for i in $(MAN8); do install $$i.8 -m 644 $(MANDIR)/man8; done
