=== sutil/Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

TOPDIR = ..
include $(TOPDIR)/Makeinit

ifdef MOUNT3
# environ in ncpmount
CCFLAGS += -D_GNU_SOURCE
endif

O_UTILS = ncpmount.o ncpumount.o nwsfind.o
UTILS = $(O_UTILS:%.o=%)

CCFLAGS += -D__MAKE_SULIB__

default:
	make -C ..

all: $(UTILS)

install: all
	for i in $(UTILS); \
	do install $$i -m 4755 $(BINDIR); done

$(O_UTILS): %.o: %.c ../lib-static-su/ncplib_err.h
	$(CC) $(CFLAGS) $(CCFLAGS) -I../lib-static-su -o $@ -c $<

$(UTILS): %: %.o ../lib-static-su/libncp.a 
	$(CC) -o $@ $(addsuffix .o,$@) -L../lib-static-su -lncp

../lib-static-su/libncp.a ../lib-static-su/ncplib_err.h:
	make -C ../lib-static-su libncp.a

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f *.o *~ $(UTILS)

mrproper: clean
	rm -f .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
