## ncpfs 2.2.0.17

=== contrib/testing/Makefile ===
CFLAGS = -O2 -Wall -W -g

O_UTILS1 = canon.o abbrev.o resolve.o readaddr.o fileinfo.o resint.o nsfileinfo.o nfssetinfo.o dirlist.o dirlist2.o vollist.o
UTILS1 = $(O_UTILS1:%.o=%)

all: iconvx wcsmbs-tst1 time $(UTILS1)

# we must link dirlist static. ncp_unlock_conn & ncp_init_request are not exported from versioned shared library
LDFLAGS_dirlist = -static

iconvx: iconv_prog.c error.c add.c
	gcc -D_GNU_SOURCE -D_libc_intl_domainname=\"libc\" -D_= -DN_= -Dgettext= -Dinternal_function= -DHAVE_VPRINTF -DSTDC_HEADERS -DHAVE_STRERROR_R -I. -o iconvx iconv_prog.c error.c add.c

wcsmbs-tst1 time: %: %.c
	gcc -D_GNU_SOURCE $(CFLAGS) -o $@ $(addsuffix .c,$@)

$(O_UTILS1): %.o: %.c
	gcc -D_GNU_SOURCE $(CFLAGS) $(CFLAGS_$@) -I../../include -o $@ -c $<

$(UTILS1): %: %.o
	gcc $(CFLAGS) -o $@ $(addsuffix .o,$@) -lncp $(LDFLAGS_$@)

clean:
	-rm iconvx wcsmbs-tst1 time $(UTILS1) $(O_UTILS1)

distclean: clean
