## ncpfs 2.2.0.18

=== contrib/testing/Makefile ===
CFLAGS = -O2 -Wall -W -g
LDFLAGS = -L../../lib

O_UTILS1 = canon.o abbrev.o resolve.o readaddr.o fileinfo.o resint.o \
	   nsfileinfo.o nfssetinfo.o dirlist.o dirlist2.o vollist.o \
	   readattr.o cmpattr.o nwdslist.o mkobj.o rmobj.o modobj.o \
	   renobj.o mvobj.o copyauth.o nwdsgethost.o nwdsgetstat.o mkfile.o \
	   setkeys.o verpwd.o chgpwd.o nwdsgetvi.o nwdspartlist.o \
	   nwdspartsplit.o nwdspartjoin.o nwdspartrm.o replops.o \
	   effright.o partroot.o reloadds.o nwdsresetstat.o nwgettime.o \
	   readcls.o mkclass.o rmclass.o readcc.o modclass.o readadef.o \
	   mkattr.o rmattr.o readsynt.o timegv.o schsync.o timeinfo.o
UTILS1 = $(O_UTILS1:%.o=%)

all: iconvx wcsmbs-tst1 time $(UTILS1)

# we must link dirlist static. ncp_unlock_conn & ncp_init_request are not exported from versioned shared library
# we cannot use --gc-sections always... there are linkers which do not understand it :-(
LDFLAGS_dirlist = -static #-Wl,--gc-sections

iconvx: iconv_prog.c error.c add.c
	gcc -D_GNU_SOURCE -D_libc_intl_domainname=\"libc\" -D_= -DN_= -Dgettext= -Dinternal_function= -DHAVE_VPRINTF -DSTDC_HEADERS -DHAVE_STRERROR_R -I. -o iconvx iconv_prog.c error.c add.c

wcsmbs-tst1 time: %: %.c
	gcc -D_GNU_SOURCE $(CFLAGS) -o $@ $(addsuffix .c,$@)

$(O_UTILS1): %.o: %.c
	gcc -D_GNU_SOURCE -DN_PLAT_LINUX $(CFLAGS) $(CFLAGS_$@) -I../../include -o $@ -c $<

$(UTILS1): %: %.o
	gcc $(LDFLAGS) $(CFLAGS) -o $@ $(addsuffix .o,$@) -lncp $(LDFLAGS_$@)

clean:
	-rm iconvx wcsmbs-tst1 time $(UTILS1) $(O_UTILS1)

distclean: clean
