## ncpfs 2.2.6

=== ids/Makefile ===
CFLAGS = -W -Wall -O2 -I../include
LDFLAGS = -L../lib -lncp

ncpfs-nwuid-test: ncpfs-nwuid-test.c
