=== debian/changelog ===
ncpfs (2.2.6-8) unstable; urgency=low

  * QA upload
  * Define clone2 and use it instead of clone on ia64 only 
    Add 13-580015.ia64-clone2.patch
    Closes: 580015

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Jun 2010 19:08:23 +1000

ncpfs (2.2.6-7) unstable; urgency=low

  * QA upload
  * Merge 2.2.6-6ubuntu2 
  * Fix Multiple security issues
    CVE-2010-0788, CVE-2010-0790, and CVE-2010-0791
    http://seclists.org/fulldisclosure/2010/Mar/122
    Add 12-572937-multiple-security-issues.patch
    Closes: 572937
  * Debian source format is 3.0 (quilt)
    Add 01-legacy.patch
  * DH compat level is 7
  * Fix out-of-date-standards-version
  * Fix maintainer-script-ignores-errors
  * Fix copyright-refers-to-versionless-license-file
  * Fix dh_undocumented-is-obsolete
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 27 Mar 2010 15:21:50 +1100

ncpfs (2.2.6-6ubuntu2) lucid; urgency=low

  * Remove i386 specific branch to fix authentication (LP: #328020) 

 -- Steven J Harms <sharms@ubuntu.com>  Tue, 22 Dec 2009 11:48:48 -0500

ncpfs (2.2.6-6ubuntu1) karmic; urgency=low

  * Fix GCC packed syntax (LP: #328020)

 -- Steven J Harms <sharms@ubuntu.com>  Tue, 12 May 2009 14:20:12 -0400

ncpfs (2.2.6-6) unstable; urgency=low

  * QA upload
  * Merge changes from Ubuntu:
      * Remove ipx.aliases, as modutils is now obsolete.
      * Remove ipx.postinst for the same reason. (Closes: #510328)
      * Fix errors from man (thanks lintian)
      * contrib/pam/pam_ncp_auth.c: include syslog.h to avoid FTBFS.
      * DO not run ipx_configure if IPX_CONFIGURED == yes. Thanks to Gde
        Bagus Aryana for the patch.
      * Added manpages ncplogin.1, ncplogout.1, ncpmap.1, nwdpvalues.1
      * Added BSD Licence to debian/copyright
      * Added dh_installman to debian/rules
      * lib/ndslib.c: define FIND_ISR to avoid INVALID SERVER RESPONSE
        error from Netware-NDS.
  * Update config.{guess,sub} at build time. Build-Depend on autotools-dev
    so that the updated versions are available.
  * Add lintian overrides for the setuid binaries in ncfps and the changelog
    syntax errors.
  * Call dh_lintian so that the overrides are installed. Version the
    dependency on debhelper appropriately.
  * Alter man/Makefile.in to also link mount.ncpfs.8 to ncpmount.8.

 -- James Westby <james.westby@ubuntu.com>  Tue, 27 Jan 2009 12:20:59 +0000

ncpfs (2.2.6-5) unstable; urgency=low

  * QA upload
  * Maintainer is Debian QA Group <packages@qa.debian.org>
  * Standards-Version is 3.8.0
  * Move homepage control header to source package section
  * Add debian/watch
  * Fix the following lintian issues:
    W: ncpfs source: debian-rules-sets-DH_COMPAT line 9
    W: ncpfs source: debian-rules-ignores-make-clean-error line 41
    W: ncpfs source: substvar-source-version-is-deprecated libncp-dev
    W: ncpfs: maintainer-script-empty postrm
    E: ipx: duplicate-conffile /etc/ipx.conf
    E: ipx: duplicate-conffile /etc/modutils/ipx.aliases
    E: ipx: duplicate-conffile /etc/init.d/ipx

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 08 Jun 2008 16:50:55 +1000

ncpfs (2.2.6-4.2) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Drop Eloy A. Paris and make Anibal Monsalve Salazar
    the maintainer (was uploader), ref (See #466150).
  * Add LSB dependency header to init.d scripts (Closes: #466936).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 11:10:47 +0200

ncpfs (2.2.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * include stddef.h. Thanks go to Petr Vandrovec for the patch.
    (Closes: #428937)
  * contrib/pam/pam_ncp_auth.c: added include for syslog.h. Fixes
    another build failure.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 12 Jan 2008 18:55:22 +0100

ncpfs (2.2.6-4) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Fixed "FTBFS: bashisms", closes: #375563.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Jul 2006 21:16:39 +1000

ncpfs (2.2.6-3) unstable; urgency=low

  * Fixed "Error in ipx_internal_net man page", closes: #51760.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2005 15:00:57 +1100

ncpfs (2.2.6-2) unstable; urgency=low

  * Fixed "Manpage for nwtrustee2", closes: #334312. Patch by
    Maximiliano Curia <maxy@gnuservers.com.ar>.
  * Fixed "ISO code page named wrong in man page", closes: #266713,
    #257677.
  * Updated German translation, closes: #313956.  Patch by
    Jens Seidel <jensseidel@users.sf.net>.
  * Set Standards-Version to 3.6.2.
  * Updated FSF mail address in debian/copyright.
  * Fixed "E: ipx: duplicate-updaterc.d-calls-in-postinst ipx".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 29 Oct 2005 00:48:26 +1000

ncpfs (2.2.6-1) unstable; urgency=low

  * New upstream version.
    Fixed "CAN-2005-0013 and CAN-2005-0014" (Closes: #293446).
  * Previous release ncpfs-2.2.5 fixed "ncpfs buffer overflow"
    and is also fixed in ncpfs-2.2.6 (Closes: #283617).
  * Incorporate and acknowledge the changes from the non maintainer
    upload 2.2.4-1.1 (Closes: #260024).
  * Fixed "Should suggest libpam-ncp?", it now depends on libpam-ncp
    (Closes: #162267).
  * Fixed "upstream location in the copyright file is outdated"
    (Closes: #260021).
  * Fixed "ncpfs override disparity" (Closes: #267315).
  * Fixed "FTBFS (amd64/gcc-4.0)" (Closes: #284169).
  * Fixed "Please remove an outdated part of the package description"
    (Closes: #260020).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Feb 2005 21:58:40 +1100

ncpfs (2.2.5-2) unstable; urgency=high

  * Grrrrr. Original tarball had permission problems. Uploaded rejected.
    Let's see if this fixes it.

 -- Eloy A. Paris <peloy@debian.org>  Wed,  1 Dec 2004 13:02:07 -0500

ncpfs (2.2.5-1) unstable; urgency=high

  * New upstream version. Urgency "high" because of buffer overflows

