=== debian/control ===
Source: ncpfs
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libpam0g-dev, gettext, autotools-dev
Standards-Version: 3.8.4
Homepage: ftp://platan.vc.cvut.cz/pub/linux/ncpfs/

Package: ncpfs
Replaces: ncpfsx
Conflicts: ncpfsx, suidmanager (<< 0.50)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-ncp
Suggests: ipx
Description: utilities to use resources from NetWare servers
 This package contains utilities to mount volumes from NetWare servers.  Also
 included are some utilities such as nprint, which enables you to
 print on NetWare print queues, and pserver, which provides NetWare
 print queues.
 .
 NetWare Directory Services are supported.

Package: ipx
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities to configure the kernel ipx interface
 These are utilities to configure the kernel IPX interface. The kernel has to be
 compiled with IPX support.

Package: libncp
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ncpfs
Description: shared library used by programs that use NetWare Core Protocol
 This shared library is used by some of the programs included in the
 ncpfs package.

Package: libncp-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncp (>= ${binary:Version})
Description: libncp: development libraries and header files
 Contains the headers and object files needed to compile and
 link programs which use the libncp library.

Package: libpam-ncp
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ncpfs (<= 2.2.0.18-10)
Description: PAM module allowing authentication from a NetWare server
 This module lets you use a NetWare server as a source of
 authentication (but not session or other) information for 
 PAM-enabled apps.
